API explorerConnectors
Register a tunnel connector; the callback HMAC secret is returned once
POST /api/agent/connectors. Required scopes: connectors:write.
Loading API reference…
Required scopes: connectors:write
bearer connectors:writeAuthorizationBearer <token>A Notify agent token from notify auth login or the dashboard.
Scope: connectors:write
application/jsonname*string1 <= length <= 80tunnelId*string^[a-z0-9]+$1 <= length <= 64hostname*string1 <= length <= 253routes?array<>items <= 32teamId?stringTeam or free Family ID (team_…) returned by teams_create or teams_list
^team_[A-Za-z0-9_-]{8,64}$oncallGroupId?string^ocg_[A-Za-z0-9_-]{8,64}$Success
application/jsonconnector*callbackSecret?stringHMAC secret for verifying callback signatures. Returned once on create.
reused?booleancurl -X POST 'https://example.com/api/agent/connectors' \ -H 'Content-Type: application/json' \ -d '{ "name": "string", "tunnelId": "string", "hostname": "string"}'{ "connector": { "id": "string", "enabled": true, "name": "string", "tunnelId": "string", "hostname": "string", "routes": [ { "name": "string", "target": "string", "url": "string", "appId": "string", "enabled": true } ], "status": "online", "lastSeenAt": "2019-08-24T14:15:22Z", "teamId": "string", "oncallGroupId": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" }, "callbackSecret": "string", "reused": true}